Subject: Re: bug#10897: sending mail via report-emacs-bug

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 03 Mar 2012 18:20:44 +0100

Thierry Volpiatto <[email-masked]> writes:

> Lars Magne Ingebrigtsen <[email-masked]> writes:
>
>> Thierry Volpiatto <[email-masked]> writes:
>>
>>> I use same configuration for Emacs-24.0.92 and 24.0.94 and behavior is
>>> different. (i.e nothing in 'to' and 'subject' for 24.0.94)
>>>
>>> Note: My Gnus configuration is not new and works fine since months (years).
>>
>> Well, I'm not able to reproduce the bug.
>>
>> So do you have anything in your setup that could clear the headers?
> Ok I found:
More exactly we need (if (not (gnus-alive-p))..., otherwise we fail with
error `gnus-setup-message' function not found.
So just need to call message-mail with args.
here a patch:

--8<---------------cut here---------------start------------->8---
diff --git a/lisp/gnus/gnus-msg.el b/lisp/gnus/gnus-msg.el
--- a/lisp/gnus/gnus-msg.el
+++ b/lisp/gnus/gnus-msg.el
@@ -486,7 +486,8 @@
 instead."
   (interactive)
   (if (not (gnus-alive-p))
-      (message-mail)
+      (message-mail to subject other-headers continue
+                    nil yank-action send-actions return-action)
     (let ((buf (current-buffer))
 	  mail-buf)
       (gnus-setup-message 'message
--8<---------------cut here---------------end--------------->8---

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997